Skip to main content

New initiatives in IT Services

Show all news items

Support for older browsers to end from 23 May 2017

From 23 May 2017 onwards, older browsers will no longer be supported by the University website, with features becoming unavailable over the coming months. This is a result of behind-the-scenes changes we need to make to ensure the safe and secure operation of the Warwick website.

If you're using an version of Internet Explorer older than 11, we recommend you install either the latest version of Internet Explorer or another up-to-date supported browser.

If you’re using an unsupported version of Safari on an Apple Mac, you’ll need to make sure you’re upgraded to the latest version of OS X in the Apple store.

If you’re using an older version of Android, you’ll need to install the latest system update, or install a more up to date browser.

You'll see a warning when you sign in to the University's websites if the computer you're using will be affected. When accessing websites using a web browser, you should make sure you use the latest available version of the browser – whether that is Internet Explorer, Google Chrome, Mozilla Firefox, Safari or another browser. Using the latest version keeps you safe online because you're using the most up-to-date security settings.

You can find more information about this change, and why we're making it, at warwick.ac.uk/sso/faqs/tls1-eol

Tue 09 May 2017, 16:16 | Tags: Security Web publishing Software